<template>
	<div class="live-update-wrapper">
		<div v-if="isBeingEdited" class="input-update">
			<textarea class="live-update" type="text" v-model="value" @blur="saveEdit"></textarea>
			<a class="save" @click="saveEdit">Save</a>
		</div>
		<div v-else
			class="paragraph"
			@click="isBeingEdited = !isBeingEdited"
			@mouseout="hover"
			@mouseover="hover"
			v-bind:class="{ 'text-hovered': hovered, 'text-not-hovered': !hovered }">
				{{value}}
		</div>
	</div>
</template>
<script>

export default{
	name: 'LiveEdit',
	props: {
		value: {
			type: [String, Object],
			required: true
		},
		data: {
			type: [Object],
			required: true
		}
	},
	data() {
		return {
			isBeingEdited: false,
			hovered: false
		}
	},
	methods: {
		hover() {
			this.hovered = !this.hovered
		},
		saveEdit() {
			this.isBeingEdited = !this.isBeingEdited
			this.hovered = !this.hovered
			let obj = this.data
			this.$store.dispatch('updateDate', obj, 'description')
		}
	},
	watch: {
		value: function(val) {
			this.$emit('input', val)
		}
	}
}
</script>
